org.apache.hc.client5.http.impl

## Class NoopUserTokenHandler

- java.lang.Object
- - org.apache.hc.client5.http.impl.NoopUserTokenHandler

- All Implemented Interfaces:
    UserTokenHandler

      @Contract(threading=STATELESS)
      public class NoopUserTokenHandler
      extends Object
      implements UserTokenHandler

  Noop implementation of `UserTokenHandler` that always returns `null`.
  Since:
    4.3

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static NoopUserTokenHandler` | `INSTANCE` Default instance of `NoopUserTokenHandler`.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NoopUserTokenHandler()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `getUserToken(HttpRoute route, org.apache.hc.core5.http.protocol.HttpContext context)` The token object returned by this method is expected to uniquely identify the current user if the context is user specific or to be `null` if it is not.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.hc.client5.http.UserTokenHandler

      `getUserToken`

- - ### Field Detail

    - #### INSTANCE

          public static final NoopUserTokenHandler INSTANCE

      Default instance of `NoopUserTokenHandler`.

  - ### Constructor Detail

    - #### NoopUserTokenHandler

          public NoopUserTokenHandler()

  - ### Method Detail

    - #### getUserToken

          public Object getUserToken(HttpRoute route,
                                     org.apache.hc.core5.http.protocol.HttpContext context)

      Description copied from interface: `UserTokenHandler`
      The token object returned by this method is expected to uniquely identify the current user if the context is user specific or to be `null` if it is not.
      Specified by:
        `getUserToken` in interface `UserTokenHandler`
      Parameters:
        `route` - HTTP route
        `context` - the execution context
      Returns:
        user token that uniquely identifies the user or `null` if the context is not user specific.

Copyright © 1999–2021 The Apache Software Foundation. All rights reserved.